astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v0.3 »
- Models And Fitting (`astropy.modeling`) »
- Sine1D

# Sine1D

class `astropy.modeling.functional_models.``Sine1D`(amplitude, frequency, **constraints)

  Bases: `astropy.modeling.core.Parametric1DModel`

  One dimensional Sine model.

  Parameters:

  amplitude : float

  > Oscillation amplitude

  frequency : float

  > Oscillation frequency

  See also

  `Const1D`, `Linear1D`

  Notes

  Model formula:

  > f(x) = A \sin(2 \pi f x)

  fixed: a dict
    a dictionary `{parameter_name: boolean}` of parameters to not be varied during fitting. True means the parameter is held fixed. Alternatively the `fixed` property of a parameter may be used.
  tied: dict
    a dictionary `{parameter_name: callable}` of parameters which are linked to some other parameter. The dictionary values are callables providing the linking relationship. Alternatively the `tied` property of a parameter may be used.
  bounds: dict
    a dictionary `{parameter_name: boolean}` of lower and upper bounds of parameters. Keys are parameter names. Values are a list of length 2 giving the desired range for the parameter. Alternatively the `min` and `max` properties of a parameter may be used.
  eqcons: list
    A list of functions of length `n` such that `eqcons[j](x0,*args) == 0.0` in a successfully optimized problem.
  ineqcons : list
    A list of functions of length `n` such that `ieqcons[j](x0,*args) >= 0.0` is a successfully optimized problem.

  Attributes Summary

  `amplitude` |
  `frequency` |
  `param_names` | list() -> new empty list

  Methods Summary

  `deriv`(x, amplitude, frequency) | One dimensional Sine model derivative
  `eval`(x, amplitude, frequency) | One dimensional Sine model function

  Attributes Documentation

  `amplitude`
  `frequency`
  `param_names` = ['amplitude', 'frequency']

  Methods Documentation

  static `deriv`(x, amplitude, frequency)

    One dimensional Sine model derivative

  static `eval`(x, amplitude, frequency)

    One dimensional Sine model function